Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Gets a single quota by resource name.
cURL
curl --request GET \ --url https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.fireworks.ai/v1/accounts/{account_id}/quotas/{quota_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "name": "<string>", "value": "<string>", "maxValue": "<string>", "usage": 123, "updateTime": "2023-11-07T05:31:56Z" }
Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>
The Account Id
The Quota Id
The fields to be returned in the response. If empty or "*", all fields will be returned.
A successful response.
The value of the quota being enforced. This may be lower than the max_value if the user manually lowers it.
The maximum approved value.
The usage of the quota.
The update time for the quota.
Was this page helpful?